/*   
Theme Name:  All Aspect Rentals
Theme URI:   https://allaspectrentals.com.au/
Template:    gutenize
Description: All Aspect Rentals custom theme
Version:     1.0.0
License:     GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: aar
*/

/* ABOUT*/
#section-about .gutenize-bg-img {
	object-fit: contain;
	padding-top: 1.25rem;
	object-position: 100% 100% !important;
	top: auto !important;
}
#section-about .card.img-fill .card-img-container {
	right: -125px;
}
#section-about .card.img-fill {
    color: #333;
	overflow: hidden;
}
#section-about .card .card-overlay {
	display: none;
}
#section-about blockquote {
	padding-right: 35%;
}
@media (min-width: 375px) {
	#section-about .card.img-fill .card-img-container {
		right: -100px;
	}
}
@media (min-width: 576px) {
	#section-about .card.img-fill .card-img-container {
		right: -75px;
	}
	.wp-block-quote p,
	.wp-block-pullquote p {
		font-size: 1.125rem;
	}
}
@media (min-width: 768px) {
	#section-about .card.img-fill .card-img-container {
		right: -50px;
	}
	.wp-block-quote p,
	.wp-block-pullquote p {
		font-size: 1.25rem;
	}
}
@media (min-width: 992px) {
	#section-about .card.img-fill .card-img-container {
		right: -25px;
	}
	.wp-block-quote p,
	.wp-block-pullquote p {
		font-size: 1.5rem;
	}
}
@media (min-width: 1200px) {
	#section-about .card.img-fill .card-img-container {
		right: 0;
	}
	#section-about .container blockquote {
		padding-right: 25%;
	}
	.wp-block-quote p,
	.wp-block-pullquote p {
		font-size: 1.75rem;
	}
}
@media (min-width: 1400px) {
	#section-about .card.img-fill .card-img-container {
		right: 25px;
	}
}


/* TRUST INDEX WIDGET */
.ti-widget-container {
	margin-top: -0.5rem !important;
	margin-bottom: -0.5rem !important;
}
.ti-reviews-container {
	margin-bottom: 0 !important;
}
.ti-col-1 .ti-footer {
	margin-top: 1rem !important;
	margin-bottom: 1rem !important;
}

/* CALENDAR */
.wpsbc-calendar {
	max-width: 500px !important;
}

/* #section-availability .wpsbc-container div:first-of-type {
    background-color: #000 !important;
} */

/* BLOG SEARCH */
@media (min-width: 992px) {
    .gutenize-hero #gutenize-search-form {
        width: 50%;
    }
}
/* BLOG - SIDEBAR */
.wp-block-categories,
.wp-block-archives {
    font-size: 0.875rem;
}


/* HIDE GOOGLE RECAPTCHA BADGE */
.grecaptcha-badge {
	visibility: hidden;
}

/* PROPERTY TITLE */
.post-type-archive-aar_property .page-title,
.single-aar_property .page-title {
	margin-bottom: 0;
}

/* PAGINATION */
.single-aar_property .pagination-container {
	display: none;
}

/* BREADCRUMBS */
.breadcrumb {
	margin-bottom: 0.25rem;
}
.blog .breadcrumb,
.page .breadcrumb,
.breadcrumb [aria-current="page"] {
    display: none;
}
.gutenize-hero .page-title + div {
    margin-top: 0;
}
.entry-meta-top .entry-meta, 
.entry-meta-bottom .entry-meta,
.gutenize-hero .entry-meta {
    font-size: 0.75em;
}

/* CF7 */
.wpcf7-form-control-wrap[data-name*="file"] {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #e9e9e9;
    border-radius: 0.25rem;
}

/* FOOTER */
#section-footer .wp-block-list li {
	padding: 0.125rem 0;
}

/* PROOF BADGES */
.aar-badge-on-dark-bg,
#section-proof .btn-link {
	display: flex;
    align-items: center;
	padding-top: 0.625rem;
	padding-bottom: 0.625rem;
	border-radius: 0.5rem;
	border: 1px solid rgba(255, 255, 255, 0.5);
	color: #fff;
	font-size: 0.875rem;
	font-weight: normal;
	line-height: 1.25;
	height: 100%;
	text-align: left;
}
#section-proof .wp-block-gutenize-button {
	height: 100%;
}


/* IFRAME + GOOGLE MAP EMBED */
.pw_map_canvas,
iframe {
	border-radius: 0.75rem;
}

/* MEDIA/TEXT BLOCK */
.wp-block-media-text__media img,
.wp-block-media-text__media video {
	border-radius: 0.75rem;
}
.wp-block-media-text {
    min-height: 400px;
}
.wp-block-media-text .wp-block-media-text__content {
    padding: 2rem 0 0;
}
.wp-block-media-text.has-background .wp-block-media-text__content {
    padding: 2rem 1.5rem;
}
@media (min-width: 992px) {
     .wp-block-media-text .wp-block-media-text__content {
          padding: 2rem 0 2rem 2rem;
     }
     .wp-block-media-text.has-media-on-the-right .wp-block-media-text__content {
          padding: 2rem 2rem 2rem 0;
     }
	.wp-block-media-text.has-background .wp-block-media-text__content {
		padding: 2rem;
	}
}
@media (min-width: 1200px) {
     .wp-block-media-text .wp-block-media-text__content {
          padding: 3rem 0 3rem 3rem;
     }
     .wp-block-media-text.has-media-on-the-right .wp-block-media-text__content {
          padding: 3rem 3rem 3rem 0;
     }
	.wp-block-media-text.has-background .wp-block-media-text__content {
		padding: 3rem;
	}
}
@media (max-width: 991.98px) { /* KEEP STAKED UNTIL LG */
	.wp-block-media-text.is-stacked-on-mobile {
		grid-template-columns: 100% !important;
	}
	.wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__media {
		grid-column: 1;
		grid-row: 1;
	}
	.wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__content {
		grid-column: 1;
		grid-row: 2;
	}
}


/* BLOG LISTINGS */
.list-layout .card-header .entry-meta {
    font-size: 0.75em;
}
.list-layout .card-title {
    margin-bottom: 0.25rem;
}
.list-layout .card-title a {
	color: var(--wp--preset--color--dark);
}

/* ANIMATIONS */
@keyframes spin-animation {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

/* PAGE PRELOADER */
#gutenize-page-preloader .preloader-image {
	animation: spin-animation 1s infinite;
}


#section-recent-projects .btn {
	padding-left: 0;
	padding-right: 0;
}

.btn-outline-secondary {
	background-color: #fff;
}

/* CAROUSEL HERO FIXES */
.bg-carousel.wp-block-gutenize-carousel {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
    height: 100%;
    width: 100vw;
    margin-left: -50vw;
    margin-right: -50vw;
    left: 50%;
    right: 50%;
    z-index: -1;
}
/* Overrides for Editor */
.wp-block .bg-carousel.wp-block-gutenize-carousel {
	position: static;
	margin: 0;
	width: auto;
}

/* HERO CARD WIDTHS */
.hero-50-card .card {
	margin-top: 1.5rem;
	margin-bottom: 1.5rem;
}
@media (min-width: 992px) {
	.hero-50-card .card {
		max-width: 75%;
	}
}
@media (min-width: 1200px) {
	.hero-50-card .card {
		max-width: 50%;
	}
}

/* CARD */
.card.h-100 .w-100 {
    display: flex;
    flex-direction: column;
    height: 100%;
}
.card {
     border-radius: 0.5rem;
}
.card-body:not(.list-layout .card-body):not(.wp-block-gutenize-accordion-card .card-body):not(.cpt-aar_property.grid-layout .card-body) {
    padding: 1.75rem 1.5rem;
}
@media (min-width: 768px) {
	.card-body:not(.list-layout .card-body):not(.wp-block-gutenize-accordion-card .card-body):not(.cpt-aar_property.grid-layout .card-body) {
          padding: 1.75rem;
     }
}
@media (min-width: 992px) {
	.card-body:not(.list-layout .card-body):not(.wp-block-gutenize-accordion-card .card-body):not(.cpt-aar_property.grid-layout .card-body) {
          padding: 2rem;
     }
}
@media (min-width: 1200px) {
     .card-body:not(.list-layout .card-body):not(.wp-block-gutenize-accordion-card .card-body):not(.cpt-aar_property.grid-layout .card-body) {
          padding: 2.25rem 2rem;
     }
}

/* PROPERTY ARCHIVE LISTING CARDS */
.cpt-aar_property.grid-layout .card {
	box-shadow: none;
	border: none;
}
.cpt-aar_property.grid-layout .card:hover .card-img-container {
	/* box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075); */
}
.cpt-aar_property.grid-layout .card-title {
	font-size: 1.125rem;
}
.cpt-aar_property.grid-layout .card-body {
	padding: 0.5rem 0;
}
.cpt-aar_property.grid-layout p,
.cpt-aar_property.grid-layout .card-footer {
	font-size: 0.875rem;
}
.cpt-aar_property.grid-layout .property-summary {
	font-size: 0.75rem;
}
.cpt-aar_property.grid-layout .card-img-container {
	aspect-ratio: 4/3;
	border-radius: 0.5rem !important;
}
.cpt-aar_property.grid-layout .card-img-container img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

/* PROPERTY LISTING GALLERY */
.property-gallery {
	margin-bottom: 2rem;
}
.property-gallery img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
.property-gallery a {
	position: relative;
	display: flex;
	height: 100%;
	overflow: hidden;
	border-radius: 0.5rem;
	justify-content: center;
    align-items: center;
}
.property-gallery a img,
.cpt-aar_property.grid-layout .card .card-img-container img {
	transition: transform .5s !important; /* Animation */
}
.property-gallery a:hover img,
.cpt-aar_property.grid-layout .card:hover .card-img-container img {
  transform: scale(1.05) !important;
}
.property-gallery .more span {
	z-index: 1;
	position: absolute;
}

.property-gallery,
.property-gallery .row {
	margin-left: -0.125rem;
	margin-right: -0.125rem;
}
.property-img-featured,
.property-img-gallery,
.property-img-gallery .col {
	padding-left: 0.125rem;
	padding-right: 0.125rem;
}
.property-img-featured {
	height: 300px;
	padding-bottom: 0.125rem;
	margin-bottom: 0.125rem;
}
.property-img-gallery .col {
	height: 150px;
	padding-bottom: 0.125rem;
    margin-bottom: 0.125rem;
}
@media (min-width: 768px) {
	.property-gallery,
	.property-gallery .row {
		margin-left: -0.25rem;
		margin-right: -0.25rem;
	}
	.property-img-featured,
	.property-img-gallery,
	.property-img-gallery .col {
		padding-left: 0.25rem;
		padding-right: 0.25rem;
	}
	.property-gallery a {
		border-radius: 0.75rem;
	}
	.property-img-featured {
		height: 500px;
		padding-bottom: 0;
		margin-bottom: 0;
	}
	.property-img-gallery .col {
		height: 250px;
		padding-bottom: 0.25rem;
    	margin-bottom: 0.25rem;
	}
}
@media (min-width: 1200px) {
	.property-img-featured {
		height: 600px;
	}
	.property-img-gallery .col {
		height: 300px;
	}
}

/* PROPERTY FEATURES */
.property-features .col-6 {
	padding-bottom: 0.5rem;
}

/* BACKGROUND REPEAT PATTERN */
.search .gutenize-hero:before,
.blog .gutenize-hero:before,
.category .gutenize-hero:before,
.archive .gutenize-hero:before,
.single-post .gutenize-hero:before,
.aar-bg-repeat-on-green:before,
.aar-bg-repeat-on-black.aar-bg-repeat-on-black:before,
.aar-bg-repeat-on-white:before {
    content: "";
    background-position: center center;
	background-size: 128px auto;
    display: block;
    height: 100%;
    width: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}
.aar-bg-repeat-on-green:before {
	background-image: url(assets/images/aar-bg-repeat-green.png);
	opacity: 0.1;
}
.search .gutenize-hero:before,
.blog .gutenize-hero:before,
.category .gutenize-hero:before,
.archive .gutenize-hero:before,
.single-post .gutenize-hero:before,
.aar-bg-repeat-on-black:before {
	background-image: url(assets/images/aar-bg-repeat-black.png);
	opacity: 0.05;
}
.aar-bg-repeat-on-white:before {
	background-image: url(assets/images/aar-bg-repeat-white.png);
	opacity: 0.1;
}

/* TYPOGRAPHY */
mark.has-inline-color {
	padding: 0;
}
p a {
    text-decoration: underline;
}
p a:hover {
    text-decoration: none;
}
label {
	font-size: 0.875rem;
	font-weight: bold;
	margin-bottom: 0.25rem;
}
.form-control {
	background-color: #f9f9f9;
}

/* NAVBAR */
#header-container .navbar .nav-link.active::before {
    width: unset;
    bottom: 0.375rem;
    left: 0.5rem;
    right: 0.5rem;
}
#header-container .navbar .nav-link {
    display: inline-block;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}
.gutenize-navbar-collapse.collapsed .navbar-nav {
    font-size: 1.125rem;
}
.gutenize-navbar-collapse.collapsed .navbar-nav.extra-content {
    margin-top: 0 !important;
}
.navbar-toggler {
	background-color: var(--light) !important;
}
.navbar-toggler-icon-container span {
	background-color: var(--dark) !important;
}

/* Allow phone btn on mobile when collapsed */
#header-container .navbar.tl-bc>.container::after {
    content: none
}
.navbar-extras-container-custom {
	z-index: 1; /* To show infront of collapsible menu */
    display: flex;
    order: 4;
    flex: 1;
    justify-content: flex-end;
    z-index: 2
}
@media (min-width: 992px) {
    .navbar-extras-container-custom {
        display: none !important
    }
}

/* TWO SPLIT COLS */
.split-columns .wp-block-gutenize-grid-col {
	min-height: 350px;
	align-content: center;
	padding: 3rem 1.5rem;
}
.split-columns .wp-block-gutenize-grid-col .col-content {
	padding: 0;
}
@media (min-width: 768px) {
	.split-columns .wp-block-gutenize-grid-col {
		padding: 2rem;
	}
}
@media (min-width: 992px) {
	.split-columns .wp-block-gutenize-grid-col {
		padding: 3rem;
	}
}
@media (min-width: 1200px) {
	.split-columns .wp-block-gutenize-grid-col {
		padding: 4rem;
	}
}

/* CUSTOM ICON */
.custom-icon {
    border-radius: 50%;
	border-width: 1.5px;
	border-style: solid;
    padding: 0.5rem;
    width: 3.5rem;
    height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
}

/* ICON LIST */
.extra-list-item-spacing .gutenize-icon-list-item {
	margin-bottom: 1.25rem;
}

.XXXgutenize-icon-list-item-icon i,
.xxxlist-group-item i {
    text-align: center;
    background-color: #008489;
    color: #FFF !important;
    border-radius: 50%;
    height: 2rem;
    min-width: 2rem;
    width: 2rem;
    line-height: 2;
	padding-top: 1px;
}

/* ACCORDIONS */
#section-faqs .accordion .card-header {
	 background-color: var(--wp--preset--color--dark) !important;
}
#section-faqs .accordion .card-body {
	 background-color: #fff;
	 color: #252122 !important;
}
#section-faqs .accordion .card-header {
    background-color: #fff;
    padding-left: 3rem
}
#section-faqs .accordion .card-header i,
#section-faqs .accordion .card-header svg {
    color: var(--wp--preset--color--success);
}
#section-faqs .accordion .card-header::before {
    color: var(--wp--preset--color--success);
    font-family: "Font Awesome 5 Free", "Font Awesome 5 Pro";
    font-weight: bold;
    position: absolute;
    left: 1.25rem;
    top: 0.75rem;
    content: ""
}

/* SLICK SLIDER */
.slick-slide .card {
     margin-bottom: 0;
}
.slick-slide img {
	height: 100%;
     max-width: none;
}
.slick-slide {
	padding: 0.5rem;
}
.slick-prev {
	left: -0.875rem;
}
.slick-next {
	right: -0.875rem;
}
.slick-prev.slick-disabled,
.slick-next.slick-disabled {
	opacity: 0.5;
}
.slick-prev,
.slick-next {
     width: 3rem;
     height: 3rem;
	background-color: #fff !important;
	color: var(--wp--preset--color--primary) !important;
	opacity: 1;
	border-radius: 50%;
	border: 0;
}
.slick-dots li button:before {
	background-color: var(--wp--preset--color--dark) !important;
}

/* BUTTONS */
.btn-group > .btn,
.btn:not(.btn-scroll-top-float):not(.btn-link):not(.button):not(.input-group-append .btn):not(.navbar-extras-container-custom .btn),
.wpcf7-form-control.wpcf7-submit {
    font-size: .85rem;
    padding: .5rem 1.5rem;
	border-radius: 50rem !important;
}
.btn-group.btn-group-sm > .btn,
.btn-sm:not(.btn-scroll-top-float):not(.btn-link):not(.button):not(.input-group-append .wpcf7-form-control.wpcf7-submit),
.btn-sm.wpcf7-form-control.wpcf7-submit {
    font-size: .7rem;
    padding: .25rem 1.25rem;
	border-radius: 50rem !important;
}
.btn-group.btn-group-lg > .btn,
.btn-lg:not(.btn-scroll-top-float):not(.btn-link):not(.button):not(.input-group-append .wpcf7-form-control.wpcf7-submit),
.btn-lg.wpcf7-form-control.wpcf7-submit {
    font-size: 1rem;
    padding: .75rem 1.75rem;
	border-radius: 50rem !important;
}

/* STACK GROUP BUTTONS ON MOBILE */
@media (max-width: 575.98px) {
    .gutenize-hero .btn-group {
        display:block
    }
    .gutenize-hero .btn-group .btn {
        display: block;
        margin: .5rem auto !important;
    }
}


/* GRID SPACING .125rem */
.grid-0-125rem .row {
	margin-left: -0.125rem;
	margin-right: -0.125rem;
}
.grid-0-125rem .wp-block-gutenize-grid-col {
	padding-left: 0.125rem;
	padding-right: 0.125rem;
}
.grid-0-125rem .wp-block-gutenize-grid-col .col-content {
	padding-top: 0.125rem;
	padding-bottom: 0.125rem;
}

/* GRID SPACING .5rem */
.grid-0-5rem .row {
	margin-left: -0.5rem;
	margin-right: -0.5rem;
}
.grid-0-5rem .wp-block-gutenize-grid-col {
	padding-left: 0.5rem;
	padding-right: 0.5rem;
}
.grid-0-5rem .wp-block-gutenize-grid-col .col-content {
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}

/* GRID SPACING .75rem */
.grid-0-75rem .row {
	margin-left: -0.75rem;
	margin-right: -0.75rem;
}
.grid-0-75rem .wp-block-gutenize-grid-col {
	padding-left: 0.75rem;
	padding-right: 0.75rem;
}
.grid-0-75rem .wp-block-gutenize-grid-col .col-content {
	padding-top: 0.75rem;
	padding-bottom: 0.75rem;
}

/* GRID SPACING 1rem */
.grid-1rem .row {
	margin-left: -1rem;
	margin-right: -1rem;
}
.grid-1rem .wp-block-gutenize-grid-col {
	padding-left: 1rem;
	padding-right: 1rem;
}
.grid-1rem .wp-block-gutenize-grid-col .col-content {
	padding-top: 1rem;
	padding-bottom: 1rem;
}
